// 引入全局uView
import uView from 'uview-ui';
Vue.use(uView);
// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import store from './pages/store/index.js'
Vue.prototype.$store = store

import moment from 'moment'
Vue.prototype.$moment = moment;

// 按需导入 $http 对象
import { $http } from '@escook/request-miniprogram'

uni.$http = $http

//请求根路径
$http.baseUrl = 'https://cloud.long-chi.com'

//请求拦截器
$http.beforeRequest = function(options){
	uni.showLoading({
		title:'数据加载中'
	})
}

//响应拦截器
$http.afterRequest = function(options){
	uni.hideLoading()
}


Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
    ...App,
	store
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif